Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.frameworks.taskwizard.composites
Class NavTree

    java.lang.Object
      Tree
          org.eclipse.birt.core.ui.frameworks.taskwizard.composites.NavTree

    public class NavTree

extends Tree

Author:
  Actuate Corporation

Field Summary
`static java.lang.String` | `SEPARATOR`

Constructor Summary
`NavTree(Composite parent, int style)`

Method Summary
`boolean` | `addNode(java.lang.String nodePath)` Adds nodes with full path.
`boolean` | `addNode(java.lang.String nodePath, java.lang.String displayName)` Adds nodes with full path and display name.
`protected void` | `checkSubclass()`
`TreeItem` | `findTreeItem(java.lang.String nodePath)` Finds tree item according to full path.
`java.lang.String` | `getNodePath(TreeItem item)` Returns the full path of the node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final java.lang.String SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### NavTree

    public NavTree(Composite parent,
                   int style)

Method Detail

### checkSubclass

    protected void checkSubclass()

### addNode

    public boolean addNode(java.lang.String nodePath,
                           java.lang.String displayName)

  Adds nodes with full path and display name.

  Parameters:
    `nodePath` - Full path is used to search. Every section of path is stored in item's data.
    `displayName` - Name is used to display only. If null or blank, use current path instead.

### addNode

    public boolean addNode(java.lang.String nodePath)

  Adds nodes with full path.

  Parameters:
    `nodePath` - Full path is used to search. Every section of path is stored in item's data.

### findTreeItem

    public TreeItem findTreeItem(java.lang.String nodePath)

  Finds tree item according to full path.

  Parameters:
    `nodePath` - Full path with `NavTree.SEPARATOR`.
  Returns:
    TreeItem or null if not found

### getNodePath

    public java.lang.String getNodePath(TreeItem item)

  Returns the full path of the node.

  Returns:
    Full path of current node with `NavTree.SEPARATOR` separated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.